package lc.mecha.lang;

/**
 * Created by cal on 9/2/17.
 */
public class NotImplementedException extends RuntimeException {
    private final String msg;

    public NotImplementedException() {
        msg = null;
    }

    public NotImplementedException(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "NotImplementedException{" +
                "msg='" + msg + '\'' +
                "} " + super.toString();
    }
}
